package com.alihealth.d2d.provtest.config;

import com.alihealth.d2d.provtest.service.handle.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author Jason  自动注册处理器
 * @date 2025年06月05日 11:35:20
 */
@Configuration
public class HandlerConfig {

    @Bean
    public Map<String, EventDataHandler> handlerMap(ApplicationContext context) {
        Map<String, EventDataHandler> map = new HashMap<>();
        context.getBeansOfType(EventDataHandler.class).forEach((beanName, handler) -> {
            EventSubType annotation = handler.getClass().getAnnotation(EventSubType.class);
            if (annotation != null) {
                map.put(annotation.value(), handler); // 使用注解值作为 key
            }
        });
        return map;
    }
}
