package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;

/**
 * 药品进口信息数据子集(DrugImportApplyInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-11 17:43:40
 */
@SuppressWarnings("serial")
@Data
@Builder
@TableName("drug_import_apply_info")
public class DrugImportApplyInfo {
    //主键ID
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //事件流水号
    @Column(name = "event_id")
    private String eventId;
    //事件响应时间
    @Column(name = "rec_time")
    private Date recTime;
    //药品追溯码
    @Column(name = "ypzsm")
    private String ypzsm;
    //上一级包装药品追溯码
    @Column(name = "syjbzypzsm")
    private String syjbzypzsm;
    //包装层级
    @Column(name = "bzcj")
    private String bzcj;
    //暂无
    @Column(name = "ymzt")
    private String ymzt;
    //统一社会信用代码（进口药品代理企业）
    @Column(name = "tyshxydmjkypdlqy")
    private String tyshxydmjkypdlqy;
    //进口药品代理企业名称
    @Column(name = "jkypdlqymc")
    private String jkypdlqymc;
    //境外药品上市许可持有人代码
    @Column(name = "jwypssxkcyrdm")
    private String jwypssxkcyrdm;
    //境外药品上市许可持有人名称（中文）
    @Column(name = "jwypssxkcyrmczw")
    private String jwypssxkcyrmczw;
    //境外药品生产企业代码
    @Column(name = "jwypscqydm")
    private String jwypscqydm;
    //境外药品生产企业名称（中文）
    @Column(name = "jwypscqymczw")
    private String jwypscqymczw;
    //统一社会信用代码（分包装厂）
    @Column(name = "tyshxydmfbzc")
    private String tyshxydmfbzc;
    //分包装厂名称
    @Column(name = "fbzcmc")
    private String fbzcmc;
    //药品通用名称
    @Column(name = "yptymc")
    private String yptymc;
    //国家药品标识码
    @Column(name = "gjypbsm")
    private String gjypbsm;
    //药品生产批号
    @Column(name = "ymscph")
    private String ymscph;
    //药品生产日期
    @Column(name = "scrq")
    private Date scrq;
    //药品有效期截止日期
    @Column(name = "ypyxqjzrq")
    private Date ypyxqjzrq;
    //生产数量
    @Column(name = "scsl")
    private Integer scsl;
    //入库编号
    @Column(name = "rkdbh")
    private String rkdbh;
    //入库时间
    @Column(name = "rksj")
    private Date rksj;

    @Column(name = "ypspmc")
    private String ypspmc;

    @Column(name = "ypbwm")
    private String ypbwm;

    @Column(name = "jx")
    private String jx;

    @Column(name = "zjgg")
    private String zjgg;

    @Column(name = "bzgg")
    private String bzgg;

    @Column(name = "bzzhb")
    private Integer bzzhb;

    @Column(name = "ypyxq")
    private Integer ypyxq;

    @Column(name = "ypyxqdw")
    private String ypyxqdw;

    @Column(name = "yppzwh")
    private String yppzwh;

    @Column(name = "yppzwhyxq")
    private Date yppzwhyxq;

    @Column(name = "ypscph")
    private String ypscph;

    //创建时间
    @Column(name = "create_time")
    private Date createTime;
    //更新时间
    @Column(name = "update_time")
    private Date updateTime;
    //是否删除(0-否 1-是)
    @Column(name = "is_deleted")
    private Integer isDeleted;

}

