package com.alihealth.d2d.provtest.domain;

import com.alihealth.d2d.provtest.utils.LocalDateDeserializer;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlRootElement;
import lombok.Builder;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 药品经营企业基本信息数据子集(PharmaceuticalTradingEnterprisesBaseInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-11 17:43:40
 */
@SuppressWarnings("serial")
@Data
@TableName("pharmaceutical_trading_enterprises_base_info")
@JacksonXmlRootElement(localName = "data")
public class PharmaceuticalTradingEnterprisesBaseInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 事件流水号
     */
    private String eventId;

    /**
     * 统一社会信用代码
     */
    @JacksonXmlProperty(localName = "TYSHXYDM")
    private String tyshxydm;

    /**
     * 企业名称
     */
    @JacksonXmlProperty(localName = "QYMC")
    private String qymc;

    /**
     * 企业类型
     */
    @JacksonXmlProperty(localName = "QYLX")
    private String qylx;

    /**
     * 企业小类
     */
    @JacksonXmlProperty(localName = "QYXL")
    private String qyxl;

    /**
     * 住所地址
     */
    @JacksonXmlProperty(localName = "ZSDZ")
    private String zsdz;

    /**
     * 住所地址- 国家（或地区）
     */
    @JacksonXmlProperty(localName = "ZSDZGJHDQ")
    private String zsdzgjhdq;

    /**
     * 住所地址- 省（直辖市/自治区）
     */
    @JacksonXmlProperty(localName = "ZSDZSZXSZZQ")
    private String zsdzszxszzq;

    /**
     * 住所地址- 市（区/自治州/盟）
     */
    @JacksonXmlProperty(localName = "ZSDZSQZZZM")
    private String zsdzsqzzzm;

    /**
     * 住所地址- 县（自治县/县级市）
     */
    @JacksonXmlProperty(localName = "ZSDZXZZXXJS")
    private String zsdzxzzxxjs;

    /**
     * 住所地址-乡（镇/街道办事处）
     */
    @JacksonXmlProperty(localName = "ZSDZXZJDBSC")
    private String zsdzxzjdbsc;

    /**
     * 住所地址-村（街/路/ 弄等）
     */
    @JacksonXmlProperty(localName = "ZSDZCJLLD")
    private String zsdzcjlld;

    /**
     * 住所地址-门牌号码
     */
    @JacksonXmlProperty(localName = "ZSDZMPHM")
    private String zsdzmphm;

    /**
     * 法定代表人
     */
    @JacksonXmlProperty(localName = "FDDBR")
    private String fddbr;

    /**
     * 注册资本
     */
    @JacksonXmlProperty(localName = "ZCZB")
    private String zczb;

    /**
     * 成立日期
     */
    @JacksonXmlProperty(localName = "CLRQ")
    @JsonDeserialize(using = LocalDateDeserializer.class)
    private LocalDate clrq;

    /**
     * 营业期限
     */
    @JacksonXmlProperty(localName = "YYQX")
    private String yyqx;

    /**
     * 经营范围
     */
    @JacksonXmlProperty(localName = "JYFW")
    private String jyfw;

    /**
     * 登记机关
     */
    @JacksonXmlProperty(localName = "DJJG")
    private String djjg;

    /**
     * 固定电话号码
     */
    @JacksonXmlProperty(localName = "GDDHHM")
    private String gddhhm;

    /**
     * 传真号码
     */
    @JacksonXmlProperty(localName = "CZHM")
    private String czhm;

    /**
     * 电子信箱
     */
    @JacksonXmlProperty(localName = "DZXX")
    private String dzxx;

    /**
     * 企业网址
     */
    @JacksonXmlProperty(localName = "QYWZ")
    private String qywz;

    /**
     * 联系人
     */
    @JacksonXmlProperty(localName = "LXR")
    private String lxr;

    /**
     * 联系电话
     */
    @JacksonXmlProperty(localName = "LXDH")
    private String lxdh;

    /**
     * 暂无
     */
    @JacksonXmlProperty(localName = "ZSGPS")
    private String zsgps;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 是否删除(0-否 1-是)
     */
    private Integer isDeleted;


}

