package com.alihealth.d2d.provtest.service.handle.business;

import com.alihealth.d2d.provtest.domain.ReceiptAndStorageDeviceRelTemperatureApplyInfo;
import com.alihealth.d2d.provtest.entity.EventBasic;
import com.alihealth.d2d.provtest.entity.EventBody;
import com.alihealth.d2d.provtest.entity.InstanceDetail;
import com.alihealth.d2d.provtest.entity.ItemDetail;
import com.alihealth.d2d.provtest.service.IReceiptAndStorageDeviceRelTemperatureApplyInfoService;
import com.alihealth.d2d.provtest.service.handle.AbstractEventDataHandler;
import com.alihealth.d2d.provtest.service.handle.EventSubType;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.ParseException;
import java.text.SimpleDateFormat;

@Service
@EventSubType("2051")
public class SubType2051Handler extends AbstractEventDataHandler<ReceiptAndStorageDeviceRelTemperatureApplyInfo> {

    @Autowired
    private IReceiptAndStorageDeviceRelTemperatureApplyInfoService service;

    @Override
    protected Class<ReceiptAndStorageDeviceRelTemperatureApplyInfo> getEntityClass() {
        return ReceiptAndStorageDeviceRelTemperatureApplyInfo.class;
    }

    @Override
    protected IService<ReceiptAndStorageDeviceRelTemperatureApplyInfo> getService() {
        return service;
    }

    @Override
    protected ReceiptAndStorageDeviceRelTemperatureApplyInfo convertToEntity(EventBody eventBody, ItemDetail item, InstanceDetail instance) {
        EventBasic evtBasic = eventBody.getEvtBasic();
        //时间格式
        SimpleDateFormat formatterDatetime = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        //日期格式
        SimpleDateFormat formatterDate = new SimpleDateFormat("yyyyMMdd");

        try {
            return ReceiptAndStorageDeviceRelTemperatureApplyInfo.builder()
                    .eventId(eventBody.getEventID())
                    .recTime(formatterDatetime.parse(eventBody.getRecTime()))

                    .tyshxydm(evtBasic.getString("TYSHXYDM"))
                    .qymc(evtBasic.getString("QYMC"))
                    .djh(evtBasic.getString("DJH"))
                    .djlx(evtBasic.getString("DJLX"))
                    .ccsbbh(evtBasic.getString("CCSBBH"))

                    .build();
        } catch (ParseException e) {
            throw new RuntimeException(e);
        }
    }

    @Override
    public String getSubType() {
        return "2051";
    }

    @Override
    public void handleBase(String xml, String eventId) {

    }
}
